Skip to main content
POST
/
v2
/
CopyItemdetails
cURL
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/CopyItemdetails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "copyDetailsFromItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "copyDetailsIntoItemIds": [
    "b45f6432-2462-4c6f-b00f-1d9d01000000"
  ],
  "copyOptions": {}
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

  • Request
copyDetailsFromItemId
string<uuid>

The unique identifier of the source itemdetails to be copied.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

copyDetailsIntoItemIds
string<uuid>[]

Transfer the itemdetails into the items identified by these unique identifiers.

copyOptions
object

Specifies which properties and aspects of the source item should be duplicated to the new items.

Response

200 - application/json

Itemdetails successfully copied to the specified items.